Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Member Functions | List of all members
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\InjectEntityManagerMappingsPass Class Reference

Creating Entity Mapping drivers is based on AbstractDoctrineExtension from doctrine/doctrine-bundle. More...

Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\InjectEntityManagerMappingsPass:

## Public Member Functions
| process (ContainerBuilder $container)

## Private Member Functions
| createMetadataDriverDefinition ($driverType, $driverPaths)
| prepareMappingDriverConfig (array $entityManagerConfig, ContainerBuilder $container)
| getMappingDriverBundleConfigDefaults (array $bundleConfig, \ReflectionClass $bundle)
| getEntityMapForConfigurationService (array $entityMappings)

## Detailed Description

Creating Entity Mapping drivers is based on AbstractDoctrineExtension from doctrine/doctrine-bundle.

It's required to keep following logic updated with Doctrine changes.

Definition at line 20 of file InjectEntityManagerMappingsPass.php.

## Member Function Documentation

## ◆ createMetadataDriverDefinition()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\InjectEntityManagerMappingsPass::createMetadataDriverDefinition | ( |  | $driverType,
|  |  | $driverPaths
| ) |  |
| private

Definition at line 69 of file InjectEntityManagerMappingsPass.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\InjectEntityManagerMappingsPass\process().

## ◆ getEntityMapForConfigurationService()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\InjectEntityManagerMappingsPass::getEntityMapForConfigurationService | ( | array | $entityMappings | ) |
| private

Definition at line 149 of file InjectEntityManagerMappingsPass.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\InjectEntityManagerMappingsPass\process().

## ◆ getMappingDriverBundleConfigDefaults()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\InjectEntityManagerMappingsPass::getMappingDriverBundleConfigDefaults | ( | array | $bundleConfig,
|  | \ReflectionClass | $bundle
| ) |  |
| private

Definition at line 132 of file InjectEntityManagerMappingsPass.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\InjectEntityManagerMappingsPass\prepareMappingDriverConfig().

## ◆ prepareMappingDriverConfig()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\InjectEntityManagerMappingsPass::prepareMappingDriverConfig | ( | array | $entityManagerConfig,
|  | ContainerBuilder | $container
| ) |  |
| private

Definition at line 86 of file InjectEntityManagerMappingsPass.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\InjectEntityManagerMappingsPass\getMappingDriverBundleConfigDefaults().

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\InjectEntityManagerMappingsPass\process().

## ◆ process()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\InjectEntityManagerMappingsPass::process | ( | ContainerBuilder | $container | ) |

Definition at line 22 of file InjectEntityManagerMappingsPass.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\InjectEntityManagerMappingsPass\createMetadataDriverDefinition(), eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\InjectEntityManagerMappingsPass\getEntityMapForConfigurationService(), and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\InjectEntityManagerMappingsPass\prepareMappingDriverConfig().

The documentation for this class was generated from the following file:

- InjectEntityManagerMappingsPass.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.